Skip to main content
POST
/
agents
Register agent
curl --request POST \
  --url https://api.agentic.scope3.com/api/v2/partner/agents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "partnerId": "<string>",
  "type": "SALES",
  "name": "<string>",
  "endpointUrl": "<string>",
  "protocol": "MCP",
  "accountPolicy": [
    "advertiser_account"
  ],
  "authenticationType": "API_KEY"
}
'
{
  "agentId": "<string>",
  "type": "SALES",
  "name": "<string>",
  "status": "PENDING",
  "endpointUrl": "<string>",
  "protocol": "MCP",
  "accountPolicy": [
    "advertiser_account"
  ],
  "authenticationType": "API_KEY",
  "description": "<string>",
  "oauth": {
    "authorizationUrl": "<string>",
    "agentId": "<string>",
    "agentName": "<string>"
  },
  "oauthError": "<string>"
}

Authorizations

Authorization
string
header
required

API key or access token

Body

application/json
partnerId
string
required

Partner seat ID (ACTIVATION seat) to register this agent under

Minimum string length: 1
type
enum<string>
required

Agent type

Available options:
SALES,
SIGNAL,
CREATIVE,
OUTCOME
name
string
required

Agent name

Required string length: 1 - 255
endpointUrl
string<uri>
required

Agent endpoint URL

Maximum string length: 2048
protocol
enum<string>
required

Agent protocol

Available options:
MCP,
A2A
accountPolicy
enum<string>[]
required

Which account types are allowed. advertiser_account = buyers must provide their own credentials, marketplace_account = use shared marketplace credentials (falls back to agent config)

Minimum array length: 1
Available options:
advertiser_account,
marketplace_account
authenticationType
enum<string>
required

Authentication method required to connect to this agent

Available options:
API_KEY,
NO_AUTH,
JWT,
OAUTH
description
string

Agent description

Maximum string length: 2000
auth
object

Initial credentials for testing and validation. Required for non-OAUTH agents.

reportingType
enum<string>
Available options:
WEBHOOK,
BUCKET,
POLLING
reportingPollingCadence
enum<string>
Available options:
DAILY,
MONTHLY

Response

Register agent

Response after registering a new agent

agentId
string
required

Unique agent identifier

type
enum<string>
required

Agent type: SALES = sales/media agent, SIGNAL = signal/data agent, CREATIVE = creative agent, OUTCOME = outcome measurement agent

Available options:
SALES,
SIGNAL,
CREATIVE,
OUTCOME
name
string
required

Agent display name

status
string
required

Agent status (always PENDING on creation)

Example:

"PENDING"

endpointUrl
string<uri>
required

Agent endpoint URL

protocol
enum<string>
required

Agent protocol

Available options:
MCP,
A2A
accountPolicy
enum<string>[]
required

Allowed account types

Available options:
advertiser_account,
marketplace_account
authenticationType
enum<string>
required

Authentication method

Available options:
API_KEY,
NO_AUTH,
JWT,
OAUTH
description
string | null

Agent description

oauth
object

Present for OAUTH agents — authorization URL the user must visit

oauthError
string

OAuth discovery error, if any